{$APPTYPE CONSOLE}
Uses
  SysUtils,testlib;

Const
  max_n=200;
  EPS=1E-2;

Type
  int=LongInt;
  Real=Extended;

Var
  N,i:int;
  D:Real;
  x,y,v:array [1..max_n] of Real;
  ja,pa,px,py:Real;

Function Dist(x1,y1,x2,y2:Real):Real;
Begin
  Dist:=sqrt(sqr(x1-x2)+sqr(y1-y2));
End;

Function CheckPoint(time,xx,yy:Real):boolean;
Var
  i:int;
Begin
  if Dist(xx,yy,0,0)>D+EPS then begin
    CheckPoint:=False;
    Exit;
  end;
  For i:=1 to N do
    If (dist(xx,yy,x[i],y[i])<v[i]*(time-EPS)) then begin
      CheckPoint:=false;
      exit;
    end;
  CheckPoint:=yy>=0;
End;

Begin
  ja:=ans.ReadReal;
  pa:=ouf.ReadReal; px:=ouf.ReadReal; py:=ouf.ReadReal;
  D:=inf.ReadReal;
  N:=inf.ReadLongint;
  for i:=1 to N do begin
    x[i]:=inf.ReadReal;
    y[i]:=inf.ReadReal;
    v[i]:=inf.ReadReal;
  end;
  if pa+EPS<ja then quit(_WA,'Jury can better');
  if CheckPoint(pa,px,py) then begin
    if abs(pa-ja)<EPS then
      quit(_OK,'')
    else
      quit(_FAIL,'Team can better(((')
  end else quit(_WA,'Bad point');
End.